UpdateEnvironment
Updates the customer-controlled mutable properties of an environment. Only the name, the environment's S3 integration source and repository selections, its scan frequency, its network policy, and its patch creation policy can be changed.
Request Syntax
PATCH /environments/environmentId HTTP/1.1
Content-type: application/json
{
"configuration": {
"codeConfiguration": {
"environmentConfiguration": {
"network": {
"allowedDomains": [ "string" ]
},
"patchCreationPolicy": "string",
"scanFrequency": "string"
},
"sourceConfiguration": {
"repositorySources": [
{
"defaultBranch": "string",
"integrationId": "string",
"repository": "string"
}
],
"s3Sources": [
{
"codePrefix": "string",
"contextPrefix": "string",
"integrationId": "string"
}
]
}
}
},
"name": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- environmentId
-
The identifier of the environment.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+Required: Yes
Request Body
The request accepts the following data in JSON format.
- configuration
-
The configuration.
Type: UpdateEnvironmentConfiguration object
Required: No
- name
-
The name of the resource.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9 _.\-]{0,254}Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"configuration": {
"codeConfiguration": {
"collectorDetails": {
"collectorDataAccessRoleArn": "string"
},
"environmentConfiguration": {
"network": {
"allowedDomains": [ "string" ]
},
"patchCreationPolicy": "string",
"scanFrequency": "string"
},
"latestScan": {
"completedAt": "string",
"createdAt": "string",
"failureMessage": "string",
"failureStage": "string",
"origin": "string",
"scanRunId": "string",
"status": "string"
},
"sourceConfiguration": {
"repositorySources": [
{
"defaultBranch": "string",
"integrationId": "string",
"repository": "string"
}
],
"s3Sources": [
{
"codePrefix": "string",
"contextPrefix": "string",
"integrationId": "string"
}
]
}
}
},
"createdAt": "string",
"environmentArn": "string",
"environmentId": "string",
"name": "string",
"status": "string",
"statusMessage": "string",
"statusUpdatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- configuration
-
The configuration.
Type: EnvironmentConfigurationDetails object
- createdAt
-
The timestamp when the resource was created.
Type: Timestamp
- environmentArn
-
The Amazon Resource Name (ARN) of the environment.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1011.
Pattern:
arn:[a-z0-9-]+:continuum:[a-z0-9-]+:[0-9]{12}:environments/[a-z0-9]+ - environmentId
-
The identifier of the environment.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+ - name
-
The name of the resource.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9 _.\-]{0,254} - status
-
The current status of the resource.
Type: String
Valid Values:
ACTIVE - statusMessage
-
The status Message.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
- statusUpdatedAt
-
The status Updated At.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The request is not authorized. Verify that your credentials and request signature are valid and that you have permission to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request could not be completed due to a conflict with the current state of the resource.
HTTP Status Code: 409
- InternalServerException
-
The request couldn't be processed because of an internal server issue. Try again later. If the problem persists, contact AWS Support.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify that the resource identifier is correct and that the resource exists.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The request failed to satisfy the constraints specified by AWS Continuum. Correct the fields identified in the error and retry the request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: